Package org.codehaus.groovy.macro.transform

# Class MacroClass

java.lang.Object
org.codehaus.groovy.macro.transform.MacroClass

@Incubating public abstract class MacroClass extends Object
since 2.5.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MacroClass()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MacroClass

    public MacroClass()